YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class CategoryAxis

Package | com.yahoo.astra.fl.charts.axes
Class | public class CategoryAxis
Inheritance | CategoryAxis BaseAxis
Implements | IAxis, IClusteringAxis

An axis type representing a set of categories.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | categoryNames : Array The category labels to display along the axis. | CategoryAxis
|  | chart : IChart The chart in which this axis appears. | BaseAxis
|  | clusterCount : int [read-only] The number of clusters available on the axis. | CategoryAxis
|  | labelFunction : Function | BaseAxis
|  | renderer : IAxisRenderer The visual renderer applied to this axis. | BaseAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | BaseAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | BaseAxis

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | CategoryAxis() Constructor. | CategoryAxis
|  | updateScale(data:Array):void Determines the axis scale based on the input data set. | CategoryAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | BaseAxis
|  | valueToLocal(value:Object):Number Calculates the position of a data point along the axis. | CategoryAxis

Property detail

categoryNames | property

`categoryNames:Array` [read-write]

The category labels to display along the axis.

Implementation
`public function get categoryNames():Array`
`public function set categoryNames(value:Array):void`

clusterCount | property |

`clusterCount:int` [read-only]

The number of clusters available on the axis. In the case of the CategoryAxis, this is the number of category names displayed on the axis.

Implementation
`public function get clusterCount():int`
Constructor detail

CategoryAxis | () | constructor

`public function CategoryAxis()`

Constructor.

Method detail

updateScale | () | method

`public function updateScale(data:Array):void`

Determines the axis scale based on the input data set. Seperating this function from the draw method optimizes processing time, and it allows the chart to synchronize its axes.

Parameters

| `data:Array` — The complete dataset that could be drawn on the axis.

valueToLocal | () | method |

`public function valueToLocal(value:Object):Number`

Calculates the position of a data point along the axis.

Parameters

| `value:Object` — The data used to determine the position

Returns

| `Number` — The display position in pixels on the axis